Subject: bug#9402: list-colors-display

From: Jan Djärv <[email-masked]>
Date: Wed, 31 Aug 2011 21:11:40 +0200

Eli Zaretskii skrev 2011-08-31 12:57:
>> From: Juri Linkov<[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 31 Aug 2011 12:35:18 +0300
>>
>>> Done in revision 105619 on the trunk.
>>
>> Thank you.  I confirm that it's fixed now.
>
> Thanks for testing.
>
>> Another question is why the face definition of `region' has
>> platform-specific colors for GTK and NS, but not for Windows.
>
> I would actually turn the table and ask why the heck do we have
> system-specific defaults for GTK and NS.  I thought Emacs was supposed
> to behave the same on all platforms, except where it's impossible.

The GUI is far from identical on all platforms.  This is just a GUI thing, the 
behaviour is the same.  For better integration with the desktop it is 
desirable to have the default highlight match other applications.

	Jan D.